Loading...
Searching...
No Matches
QXmppDiscoveryIq::Identity Class Reference

Identity represents one of possibly multiple identities of an XMPP entity obtained from a service discovery request as defined in XEP-0030: Service Discovery. More...

## Public Member Functions

| Identity (const Identity &other)
| Default copy-constructor.
| Identity (Identity &&)
| Default move-constructor.
Identity & | operator= (const Identity &other)
| Default assignment operator.
Identity & | operator= (Identity &&)
| Default move-assignment operator.
QString | category () const
void | setCategory (const QString &category)
QString | language () const
void | setLanguage (const QString &language)
QString | name () const
void | setName (const QString &name)
QString | type () const
void | setType (const QString &type)

## Detailed Description

Identity represents one of possibly multiple identities of an XMPP entity obtained from a service discovery request as defined in XEP-0030: Service Discovery.

## Member Function Documentation

## category()

QString QXmppDiscoveryIq::Identity::category | ( |  | ) | const

Returns the category (e.g. "account", "client", "conference", etc.) of the identity.

See https://xmpp.org/registrar/disco-categories.html for more details.

## language()

QString QXmppDiscoveryIq::Identity::language | ( |  | ) | const

Returns the language code of the identity.

It is possible that the same identity (same type and same category) is included multiple times with different languages and localized names.

## name()

QString QXmppDiscoveryIq::Identity::name | ( |  | ) | const

Returns the human-readable name of the service.

## setCategory()

void QXmppDiscoveryIq::Identity::setCategory | ( | const QString & | category | ) |

Sets the category (e.g. "account", "client", "conference", etc.) of the identity.

See https://xmpp.org/registrar/disco-categories.html for more details.

## setLanguage()

void QXmppDiscoveryIq::Identity::setLanguage | ( | const QString & | language | ) |

Sets the language code of the identity.

It is possible that the same identity (same type and same category) is included multiple times with different languages and localized names.

## setName()

void QXmppDiscoveryIq::Identity::setName | ( | const QString & | name | ) |

Sets the human-readable name of the service.

## setType()

void QXmppDiscoveryIq::Identity::setType | ( | const QString & | type | ) |

Sets the service type in this category.

See https://xmpp.org/registrar/disco-categories.html for details.

## type()

QString QXmppDiscoveryIq::Identity::type | ( |  | ) | const

Returns the service type in this category.

See https://xmpp.org/registrar/disco-categories.html for details.

The documentation for this class was generated from the following files:

- QXmppDiscoveryIq.h
- QXmppDiscoveryIq.cpp